Build #8 for mtlx-0.1.6

[all reports]

Package mtlx-0.1.6
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-23 17:40:15.556943 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies QuickCheck-2.9.2, base-4.9.0.0, mtl-2.2.1
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring mtl-2.2.1...
Configuring primitive-0.6.2.0...
Building mtl-2.2.1...
Building primitive-0.6.2.0...
Configuring random-1.1...
Installed mtl-2.2.1
Building random-1.1...
Installed primitive-0.6.2.0
Installed random-1.1
Configuring tf-random-0.5...
Building tf-random-0.5...
Installed tf-random-0.5
Configuring QuickCheck-2.9.2...
Building QuickCheck-2.9.2...
Installed QuickCheck-2.9.2
Configuring mtlx-0.1.6...
Building mtlx-0.1.6...
Failed to install mtlx-0.1.6
Build log ( /home/builder/.cabal/logs/mtlx-0.1.6.log ):
cabal: Entering directory '/tmp/cabal-tmp-13400/mtlx-0.1.6'
Configuring mtlx-0.1.6...
Building mtlx-0.1.6...
Preprocessing library mtlx-0.1.6...

on the commandline: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS

Control/Monad/RWSX/Lazy.hs:8:14: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS

Control/Monad/RWSX/Strict.hs:8:14: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS

Control/Monad/ReaderX.hs:5:57: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS

Control/Monad/StateX/Lazy.hs:1:57: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS

Control/Monad/StateX/Strict.hs:1:57: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS

Control/Monad/WriterX/Lazy.hs:2:57: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS

Control/Monad/WriterX/Strict.hs:2:57: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS

Control/Monad/ErrorX.hs:4:14: warning:
    -XOverlappingInstances is deprecated: instead use per-instance pragmas OVERLAPPING/OVERLAPPABLE/OVERLAPS
[ 1 of 18] Compiling Control.Monad.Index ( Control/Monad/Index.hs, dist/build/Control/Monad/Index.o )
[ 2 of 18] Compiling Control.Monad.ReaderX.Class ( Control/Monad/ReaderX/Class.hs, dist/build/Control/Monad/ReaderX/Class.o )
[ 3 of 18] Compiling Control.Monad.StateX.Class ( Control/Monad/StateX/Class.hs, dist/build/Control/Monad/StateX/Class.o )

Control/Monad/StateX/Class.hs:22:1: warning: [-Wdeprecations]
    Module ‘Control.Monad.Error’ is deprecated:
      Use Control.Monad.Except instead

Control/Monad/StateX/Class.hs:55:11: warning: [-Wdeprecations]
    In the use of type constructor or class ‘Error’
    (imported from Control.Monad.Error, but defined in transformers-0.5.2.0:Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

Control/Monad/StateX/Class.hs:55:61: warning: [-Wdeprecations]
    In the use of type constructor or class ‘ErrorT’
    (imported from Control.Monad.Error, but defined in transformers-0.5.2.0:Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"
[ 4 of 18] Compiling Control.Monad.WriterX.Class ( Control/Monad/WriterX/Class.hs, dist/build/Control/Monad/WriterX/Class.o )

Control/Monad/WriterX/Class.hs:21:1: warning: [-Wunused-imports]
    The import of ‘Data.Monoid’ is redundant
      except perhaps to import instances from ‘Data.Monoid’
    To import instances alone, use: import Data.Monoid()
[ 5 of 18] Compiling Control.Monad.IdentityX ( Control/Monad/IdentityX.hs, dist/build/Control/Monad/IdentityX.o )

Control/Monad/IdentityX.hs:42:10: error:
    • Could not deduce (Applicative (IdentityX ix))
        arising from the superclasses of an instance declaration
      from the context: Index ix
        bound by the instance declaration
        at Control/Monad/IdentityX.hs:42:10-43
    • In the instance declaration for ‘Monad (IdentityX ix)’
cabal: Leaving directory '/tmp/cabal-tmp-13400/mtlx-0.1.6'
cabal: Error: some packages failed to install:
mtlx-0.1.6 failed during the building phase. The exception was:
ExitFailure 1